Page MenuHomePhabricator

Enable ContentTranslation for testing in the Afrikaans (af)
Closed, ResolvedPublic1 Story Points

Description

People at UNISA who are working on translation of Wikipedia articles to languages of South Africa are interested in having ContentTranslation enabled in Afrikaans.

The source languages should be English and Dutch.

Apertium Machine translation from Dutch can be enabled, but only as opt-in and not by default.

The Language Engineering team follows a 2-step process for enabling Content Translation:

  1. Activation on beta-labs for testing
  2. Deployment as a beta-feature on the Wikipedia after testing.

The current request is only for Step 1 i.e. enable Afrikaans on the beta-labs server for testing.

Event Timeline

Amire80 created this task.Feb 20 2015, 1:08 PM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Needs Triage.
Amire80 added subscribers: Arrbee, KartikMistry, Amire80, Aklapper.
santhosh triaged this task as Normal priority.Feb 23 2015, 6:51 AM
santhosh added a subscriber: santhosh.

Tentative schedule is week ending March 13 per https://www.mediawiki.org/wiki/Content_translation/Deployment_Plan#New_languages , adding to Roadmap but may be postponed based on initial testing.

Eloquence set Security to None.
Eloquence renamed this task from enable ContentTranslation in the Afrikaans (af) Wikipedia to Enable ContentTranslation in the Afrikaans (af) Wikipedia.

This is this week, is this still scheduled to happen?

santhosh edited a custom field.Mar 10 2015, 6:58 AM
Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.Mar 10 2015, 9:25 AM

Change 195838 had a related patch set uploaded (by KartikMistry):
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195838

KartikMistry removed a project: Patch-For-Review.
KartikMistry edited a custom field.
Arrbee renamed this task from Enable ContentTranslation in the Afrikaans (af) Wikipedia to Enable ContentTranslation for testing in the Afrikaans (af).Mar 11 2015, 5:54 AM
Arrbee updated the task description. (Show Details)

Change 198186 had a related patch set uploaded (by KartikMistry):
Beta: Enable Apertium MT for few languages in Beta

https://gerrit.wikimedia.org/r/198186

Change 198186 merged by Alexandros Kosiaris:
Beta: Enable Apertium MT for few languages in Beta

https://gerrit.wikimedia.org/r/198186

Restricted Application added a project: Notice. · View Herald TranscriptMar 27 2015, 11:17 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 30 2015, 8:15 PM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-85 board.Apr 1 2015, 8:23 AM
Pginer-WMF edited a custom field.Apr 1 2015, 9:38 AM
Pginer-WMF closed this task as Resolved.Apr 1 2015, 9:44 AM
Pginer-WMF moved this task from In Progress to Done on the LE-Sprint-85 board.
Nikerabbit added a subscriber: Nikerabbit.

This has been deployed to labs. We will open a separate task for production deployment once we get feedback from our contacts.